<?xml version="1.0" encoding="UTF-8"?>
<!-- {{ ansible_managed }} -->
<configuration scan="true" scanPeriod="30 seconds">

  <jmxConfigurator />

        <property name="application.name" value="{{ coremedia_application_name }}"/>
        <property name="application.version" value="{{ application_version | default('1-SNAPSHOT') }}"/>
        <property name="log.pattern" value="%d{yyyy-MM-dd HH:mm:ss} %-7([%level]) %logger [%X{tenant}] - %message \\(%thread\\)%n"/>

      <include resource="logging-common.xml"/>

    <logger name="com.coremedia" additivity="false" level="info">
      <appender-ref ref="file"/>
    </logger>
    <logger name="hox.corem" additivity="false" level="info">
      <appender-ref ref="file"/>
    </logger>
    <logger name="org.springframework" additivity="false" level="warn">
      <appender-ref ref="file"/>
    </logger>

  <!-- Avoid frequent ERRORs and WARNs from pdfbox when parsing text from PDFs for indexing -->
  <logger name="org.apache.pdfbox.pdmodel.font" additivity="false" level="off"/>
  <!-- Avoid warning from Apache Tika 1.15 about missing library (TIKA-2389) -->
  <logger name="org.apache.tika.parser.image.ImageParser" additivity="false" level="error"/>

  <root level="warn">
    <appender-ref ref="file"/>
  </root>

</configuration>
